Patch release 1.0.3 of Bitcoin and Altcoin wallets

Release 1.0.3 of the Bitcoin and Altcoin Wallets WordPress plugin fixes an important defect.

Release 1.0.3 of the Bitcoin and Altcoin Wallets WordPress plugin fixes a somewhat important defect that slipped by testing.

Due to a faulty nonce check, any attempt to deactivate any plugins via the WordPress admin area would fail.

Apologies for any inconvenience caused. If you have installed the wallets plugin, please upgrade to the latest version 1.0.3 which fixes the issue. The update is available from the Downloads area and has been pushed to WordPress.org.

Remember that you can post any issues you have at https://wordpress.org/support/plugin/wallets.

regards,

Alex

Comments:3

  1. Hello Sir

    I get this Error :
    Parse error: syntax error, unexpected ‘finally’ (T_STRING), expecting catch (T_CATCH) in /home/xxxx/public_html/wp-content/plugins/wallets/includes/core.php on line 488

    can you help with this Error plrase

    1. Hi and thanks very much for your interest in the wallets plugin.

      This error indicates that you are running a version of PHP earlier than 5.5, where the try..catch..finally clause was not yet supported. I had already indicated that PHP 5.5 is a requirement.

      Can you upgrade your PHP or is this not an option for you?

      I could theoretically write the code without “finally” clauses but they add some security when locking and unlocking tables. My main concern is to make sure that table locking does not give rise to any deadlocks for users who have PHP 5.5 or greater. If upgrading your PHP is not an option, I can try and see if there is a safe way to rewrite the table locking code so it’s compatible with an earlier version of PHP. It should be doable!

      Also please note that you can also use the plugin forum at https://wordpress.org/support/plugin/wallets for any issues and suggestions.

      Again, thanks for your interest in this plugin. Over the next few days I’m planning a few releases that will add some useful functionality on top of wallets.

      Let me know if you can upgrade your PHP and if it fixes your problem.

      best regards,
      Alex

Leave a Reply

Your email address will not be published. Required fields are marked *